WSE · Schnittstellen
Offene Posten
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Offene Posten
ERP API Dokumentation
Add-on erforderlich: Offene Posten. Die Nutzung setzt das freigeschaltete Add-on und passende Benutzerberechtigungen voraus.
List Opos Invoices
Return paginated OPOS invoices.
Authorizations:
query Parameters
OposPaymentStatus (string) or Payment Status (null) (Payment Status) | |
OposDunningStatus (string) or Dunning Status (null) (Dunning Status) | |
Customer Id (string) or Customer Id (null) (Customer Id) | |
Invoice No (integer) or Invoice No (null) (Invoice No) | |
Invoice Prefix (string) or Invoice Prefix (null) (Invoice Prefix) | |
Company (string) or Company (null) (Company) | |
Name (string) or Name (null) (Name) | |
Due Date From (string) or Due Date From (null) (Due Date From) | |
Due Date To (string) or Due Date To (null) (Due Date To) | |
Is Overdue (boolean) or Is Overdue (null) (Is Overdue) | |
Is Reminder Due (boolean) or Is Reminder Due (null) (Is Reminder Due) | |
OposInvoiceDueState (string) or Due State (null) (Due State) | |
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
| sort_by | string (Sort By) Default: "due_date" Enum: "due_date" "due_state" "invoice_date" "invoice_no" "customer" "payment_status" "dunning_status" "days_overdue" |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/invoices?payment_status=open&dunning_status=none&customer_id=string&invoice_no=0&invoice_prefix=string&company=string&name=string&due_date_from=2019-08-24&due_date_to=2019-08-24&is_overdue=true&is_reminder_due=true&due_state=not_due&skip=0&limit=100&sort_by=due_date&sort_order=asc' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string",
- "invoice_date": "2019-08-24",
- "customer_id": "string",
- "company": "string",
- "firstname": "string",
- "name": "string",
- "city": "string",
- "due_date": "2019-08-24",
- "gross_amount": "string",
- "currency": "string",
- "payment_status": "open",
- "dunning_status": "none",
- "paid_amount": "string",
- "outstanding_amount": "string",
- "reserved_amount": "string",
- "available_amount": "string",
- "paid_at": "2019-08-24T14:15:22Z",
- "last_reminded_at": "2019-08-24T14:15:22Z",
- "reminder_count": 0,
- "is_overdue": true,
- "is_reminder_due": true,
- "days_overdue": 0,
- "due_state": "not_due",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "last_payment_change_at": "2019-08-24T14:15:22Z",
- "last_dunning_change_at": "2019-08-24T14:15:22Z"
}
]
}Get Opos Invoice
Return one OPOS invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/invoices/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_no": 0,
- "invoice_prefix": "string",
- "invoice_date": "2019-08-24",
- "customer_id": "string",
- "company": "string",
- "firstname": "string",
- "name": "string",
- "city": "string",
- "due_date": "2019-08-24",
- "gross_amount": "string",
- "currency": "string",
- "payment_status": "open",
- "dunning_status": "none",
- "paid_amount": "string",
- "outstanding_amount": "string",
- "reserved_amount": "string",
- "available_amount": "string",
- "paid_at": "2019-08-24T14:15:22Z",
- "last_reminded_at": "2019-08-24T14:15:22Z",
- "reminder_count": 0,
- "is_overdue": true,
- "is_reminder_due": true,
- "days_overdue": 0,
- "due_state": "not_due",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "last_payment_change_at": "2019-08-24T14:15:22Z",
- "last_dunning_change_at": "2019-08-24T14:15:22Z"
}List Opos Invoice Payment Reminders
Return OPOS payment reminder history for one invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/invoices/string/payment-reminders' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "opos_payment_reminder_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "payment_reminder_id": "string",
- "reminder_level": 0,
- "reminder_date": "2019-08-24",
- "due_date": "2019-08-24",
- "note": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}Post Opos Invoice Payment Reminder
Create the next OPOS payment reminder for one overdue invoice.
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Request Body schema: application/jsonrequired
Payment Reminder Date (string) or Payment Reminder Date (null) (Payment Reminder Date) | |
Any of string <date> (Payment Reminder Date) | |
Due Date (string) or Due Date (null) (Due Date) | |
Any of string <date> (Due Date) | |
Service Date (string) or Service Date (null) (Service Date) | |
Any of string <date> (Service Date) | |
Note (string) or Note (null) (Note) | |
Any of <= 5000 characters string (Note) <= 5000 characters | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "payment_reminder_date": "2019-08-24",
- "due_date": "2019-08-24",
- "service_date": "2019-08-24",
- "note": "string"
}Response samples
- 201
- 422
- default
{- "opos_payment_reminder_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "payment_reminder_id": "string",
- "reminder_level": 0,
- "reminder_date": "2019-08-24",
- "due_date": "2019-08-24",
- "note": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/dashboard' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "open_count": 0,
- "partial_count": 0,
- "reminded_count": 0,
- "paid_count": 0,
- "overdue_count": 0,
- "reminder_due_count": 0,
- "oldest_due_date": "2019-08-24",
- "due_next_7_days_count": 0,
- "due_next_30_days_count": 0
}Sync Opos Invoice States
Backfill missing OPOS states for existing finalized invoices.
Authorizations:
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/opos/sync' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "created": 0,
- "already_existing": 0,
- "skipped_missing_due_date": 0
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/settings' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "auto_matching_enabled": true,
- "creditor_identifier": "string",
- "default_direct_debit_account_id": "string"
}Patch Settings
Authorizations:
Request Body schema: application/jsonrequired
Auto Matching Enabled (boolean) or Auto Matching Enabled (null) (Auto Matching Enabled) | |
Any of boolean (Auto Matching Enabled) | |
Creditor Identifier (string) or Creditor Identifier (null) (Creditor Identifier) | |
Any of <= 35 characters string (Creditor Identifier) <= 35 characters | |
Default Direct Debit Account Id (string) or Default Direct Debit Account Id (null) (Default Direct Debit Account Id) | |
Any of string <uuid4> (Default Direct Debit Account Id) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "auto_matching_enabled": true,
- "creditor_identifier": "string",
- "default_direct_debit_account_id": "string"
}Response samples
- 200
- 422
- default
{- "auto_matching_enabled": true,
- "creditor_identifier": "string",
- "default_direct_debit_account_id": "string"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/connections' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "items": [
- {
- "bank_connection_id": "string",
- "status": "string",
- "reauthorization_required": true,
- "last_successful_sync_at": "2019-08-24T14:15:22Z",
- "last_error_code": "string",
- "disconnected_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}Post Disconnect
Authorizations:
path Parameters
| connection_id required | string <uuid4> (Connection Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/opos/banking/connections/string/disconnect' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "bank_connection_id": "string",
- "status": "string",
- "reauthorization_required": true,
- "last_successful_sync_at": "2019-08-24T14:15:22Z",
- "last_error_code": "string",
- "disconnected_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/accounts' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "items": [
- {
- "organization_bank_account_id": "string",
- "bank_account_id": "string",
- "bank_connection_id": "string",
- "account_type": "string",
- "account_name": "string",
- "iban": "string",
- "bic": "string",
- "currency": "string",
- "balance": "string",
- "reconciliation_enabled": true,
- "available": true,
- "is_default_direct_debit_account": true,
- "capabilities": [
- "string"
], - "max_batch_items": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}Patch Account
Authorizations:
path Parameters
| account_id required | string <uuid4> (Account Id) |
Request Body schema: application/jsonrequired
Reconciliation Enabled (boolean) or Reconciliation Enabled (null) (Reconciliation Enabled) | |
Any of boolean (Reconciliation Enabled) | |
Is Default Direct Debit Account (boolean) or Is Default Direct Debit Account (null) (Is Default Direct Debit Account) | |
Any of boolean (Is Default Direct Debit Account) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "reconciliation_enabled": true,
- "is_default_direct_debit_account": true
}Response samples
- 200
- 422
- default
{- "organization_bank_account_id": "string",
- "bank_account_id": "string",
- "bank_connection_id": "string",
- "account_type": "string",
- "account_name": "string",
- "iban": "string",
- "bic": "string",
- "currency": "string",
- "balance": "string",
- "reconciliation_enabled": true,
- "available": true,
- "is_default_direct_debit_account": true,
- "capabilities": [
- "string"
], - "max_batch_items": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/opos/banking/sync-runs' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- default
{- "bank_sync_run_id": "string",
- "trigger": "event",
- "status": "queued",
- "bank_connection_id": "string",
- "imported_connections": 0,
- "imported_accounts": 0,
- "imported_transactions": 0,
- "error_count": 0,
- "last_error_code": "string",
- "started_at": "2019-08-24T14:15:22Z",
- "finished_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z"
}Get One Sync Run
Authorizations:
path Parameters
| sync_run_id required | string <uuid4> (Sync Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/sync-runs/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "bank_sync_run_id": "string",
- "trigger": "event",
- "status": "queued",
- "bank_connection_id": "string",
- "imported_connections": 0,
- "imported_accounts": 0,
- "imported_transactions": 0,
- "error_count": 0,
- "last_error_code": "string",
- "started_at": "2019-08-24T14:15:22Z",
- "finished_at": "2019-08-24T14:15:22Z",
- "created_at": "2019-08-24T14:15:22Z"
}Get Transactions
Authorizations:
query Parameters
Account Id (string) or Account Id (null) (Account Id) | |
Date From (string) or Date From (null) (Date From) | |
Date To (string) or Date To (null) (Date To) | |
OposBankTransactionStatus (string) or Status (null) (Status) | |
Allocation Status (string) or Allocation Status (null) (Allocation Status) | |
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 500 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/transactions?account_id=string&date_from=2019-08-24&date_to=2019-08-24&status=pending&allocation_status=allocated&skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "bank_transaction_id": "string",
- "bank_account_id": "string",
- "status": "pending",
- "amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "value_date": "2019-08-24",
- "purpose": "string",
- "counterpart_name": "string",
- "counterpart_iban": "string",
- "counterpart_bic": "string",
- "end_to_end_reference": "string",
- "mandate_reference": "string",
- "is_adjusting_entry": true,
- "allocated_amount": "string",
- "unallocated_amount": "string",
- "suggestions": [
- {
- "match_suggestion_id": "string",
- "bank_transaction_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "outstanding_amount": "string",
- "reserved_amount": "string",
- "available_amount": "string",
- "suggested_amount": "string",
- "reasons": [
- "string"
], - "status": "active",
- "created_at": "2019-08-24T14:15:22Z"
}
], - "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}Get One Transaction
Authorizations:
path Parameters
| transaction_id required | string <uuid4> (Transaction Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/banking/transactions/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "bank_transaction_id": "string",
- "bank_account_id": "string",
- "status": "pending",
- "amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "value_date": "2019-08-24",
- "purpose": "string",
- "counterpart_name": "string",
- "counterpart_iban": "string",
- "counterpart_bic": "string",
- "end_to_end_reference": "string",
- "mandate_reference": "string",
- "is_adjusting_entry": true,
- "allocated_amount": "string",
- "unallocated_amount": "string",
- "suggestions": [
- {
- "match_suggestion_id": "string",
- "bank_transaction_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "outstanding_amount": "string",
- "reserved_amount": "string",
- "available_amount": "string",
- "suggested_amount": "string",
- "reasons": [
- "string"
], - "status": "active",
- "created_at": "2019-08-24T14:15:22Z"
}
], - "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "invoice_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}Disconnect Account
Authorizations:
path Parameters
| organization_account_id required | string <uuid4> (Organization Account Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/opos/banking/accounts/string/disconnect' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Post Bank Transaction Allocations
Authorizations:
path Parameters
| transaction_id required | string <uuid4> (Transaction Id) |
header Parameters
| Idempotency-Key required | string <uuid> (Idempotency-Key) |
Request Body schema: application/jsonrequired
required | Array of objects (Allocations) non-empty | ||||
Array (non-empty)
| |||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "allocations": [
- {
- "invoice_id": "string",
- "amount": 1
}
]
}Response samples
- 201
- 422
- default
{- "settlement_source_id": "string",
- "source": "bank_transaction",
- "bank_transaction_id": "string",
- "cashbook_entry_id": "string",
- "total_amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string",
- "created_by_actor_id": "string",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}Post Allocation Reversal
Authorizations:
path Parameters
| allocation_id required | string <uuid4> (Allocation Id) |
Request Body schema: application/jsonrequired
| reason required | string (Reason) [ 1 .. 5000 ] characters |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "reason": "string"
}Response samples
- 200
- 422
- default
{- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}Get Invoice Settlements
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/invoices/string/settlements' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "items": [
- {
- "settlement_source_id": "string",
- "source": "bank_transaction",
- "bank_transaction_id": "string",
- "cashbook_entry_id": "string",
- "total_amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string",
- "created_by_actor_id": "string",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}
]
}Post Manual Invoice Settlement
Authorizations:
path Parameters
| invoice_id required | string <uuid4> (Invoice Id) |
Request Body schema: application/jsonrequired
required | Amount (number) or Amount (string) (Amount) |
Any of > 0 number (Amount) > 0 | |
| booking_date required | string <date> (Booking Date) |
| payment_method required | string (OposPaymentMethod) Enum: "cash" "card" "external_bank" "other" |
| note required | string (Note) [ 1 .. 5000 ] characters |
Reference (string) or Reference (null) (Reference) | |
Any of <= 255 characters string (Reference) <= 255 characters | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "amount": 1,
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string"
}Response samples
- 201
- 422
- default
{- "settlement_source_id": "string",
- "source": "bank_transaction",
- "bank_transaction_id": "string",
- "cashbook_entry_id": "string",
- "total_amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string",
- "created_by_actor_id": "string",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}Post Cashbook Settlement
Authorizations:
Request Body schema: application/jsonrequired
| cashbook_id required | string <uuid4> (Cashbook Id) | ||||||||||||||||||||||
required | object (CashbookEntryCreate) Request payload for creating one manual cashbook entry. | ||||||||||||||||||||||
| |||||||||||||||||||||||
required | Array of objects (Allocations) non-empty | ||||||||||||||||||||||
Array (non-empty)
| |||||||||||||||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "cashbook_id": "string",
- "entry": {
- "transaction_date": "2019-08-24",
- "direction": "income",
- "amount": 1,
- "booking_text": "string",
- "offset_account_no": "string",
- "tax_key": "string",
- "tax_rate": 0,
- "receipt_no": "string",
- "external_reference": "string",
- "cost_center_1": "string",
- "cost_center_2": "string"
}, - "allocations": [
- {
- "invoice_id": "string",
- "amount": 1
}
]
}Response samples
- 201
- 422
- default
{- "settlement_source_id": "string",
- "source": "bank_transaction",
- "bank_transaction_id": "string",
- "cashbook_entry_id": "string",
- "total_amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string",
- "created_by_actor_id": "string",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}Post Existing Cashbook Allocations
Authorizations:
path Parameters
| settlement_source_id required | string <uuid4> (Settlement Source Id) |
Request Body schema: application/jsonrequired
required | Array of objects (Allocations) non-empty | ||||
Array (non-empty)
| |||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "allocations": [
- {
- "invoice_id": "string",
- "amount": 1
}
]
}Response samples
- 201
- 422
- default
{- "settlement_source_id": "string",
- "source": "bank_transaction",
- "bank_transaction_id": "string",
- "cashbook_entry_id": "string",
- "total_amount": "string",
- "currency": "string",
- "booking_date": "2019-08-24",
- "payment_method": "cash",
- "reference": "string",
- "note": "string",
- "created_by_actor_id": "string",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "allocations": [
- {
- "invoice_allocation_id": "string",
- "settlement_source_id": "string",
- "opos_invoice_state_id": "string",
- "amount": "string",
- "created_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "reversed_at": "2019-08-24T14:15:22Z",
- "reversed_by_actor_id": "string",
- "reversal_reason": "string"
}
]
}Get Direct Debit Runs
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 100 ] Default: 25 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/direct-debit-runs?skip=0&limit=25' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "direct_debit_run_id": "string",
- "execution_date": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "total_amount": "string",
- "currency": "string",
- "item_count": 0,
- "group_count": 0,
- "group_status_counts": [
- {
- "status": "draft",
- "count": 0
}
], - "can_cancel": true
}
]
}Post Direct Debit Run
Authorizations:
header Parameters
| Idempotency-Key required | string <uuid> (Idempotency-Key) |
Request Body schema: application/jsonrequired
| execution_date required | string <date> (Execution Date) | ||||||||||
| prenotification_confirmed required | boolean (Prenotification Confirmed) | ||||||||||
required | Array of objects (Items) non-empty | ||||||||||
Array (non-empty)
| |||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "execution_date": "2019-08-24",
- "prenotification_confirmed": true,
- "items": [
- {
- "invoice_id": "string",
- "amount": 1,
- "mandate_id": "string",
- "bank_account_id": "string",
- "final_collection": false
}
]
}Response samples
- 201
- 422
- default
{- "direct_debit_run_id": "string",
- "execution_date": "2019-08-24",
- "prenotification_confirmed": true,
- "prenotification_confirmed_at": "2019-08-24T14:15:22Z",
- "prenotification_confirmed_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "direct_debit_group_id": "string",
- "bank_account_id": "string",
- "mandate_type": "string",
- "sequence_type": "OOFF",
- "execution_date": "2019-08-24",
- "status": "draft",
- "external_payment_reference": "string",
- "last_error_code": "string",
- "items": [
- {
- "direct_debit_item_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "payment_id": "string",
- "mandate_reference": "string",
- "mandate_signed_on": "2019-08-24",
- "payer_name": "string",
- "payer_iban": "string",
- "payer_bic": "string",
- "amount": "string",
- "end_to_end_id": "string",
- "external_payment_reference": "string",
- "status": "reserved",
- "execution_status": "string",
- "last_error_code": "string",
- "review_note": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}
]
}Get One Direct Debit Run
Authorizations:
path Parameters
| run_id required | string <uuid4> (Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/opos/direct-debit-runs/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "direct_debit_run_id": "string",
- "execution_date": "2019-08-24",
- "prenotification_confirmed": true,
- "prenotification_confirmed_at": "2019-08-24T14:15:22Z",
- "prenotification_confirmed_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "direct_debit_group_id": "string",
- "bank_account_id": "string",
- "mandate_type": "string",
- "sequence_type": "OOFF",
- "execution_date": "2019-08-24",
- "status": "draft",
- "external_payment_reference": "string",
- "last_error_code": "string",
- "items": [
- {
- "direct_debit_item_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "payment_id": "string",
- "mandate_reference": "string",
- "mandate_signed_on": "2019-08-24",
- "payer_name": "string",
- "payer_iban": "string",
- "payer_bic": "string",
- "amount": "string",
- "end_to_end_id": "string",
- "external_payment_reference": "string",
- "status": "reserved",
- "execution_status": "string",
- "last_error_code": "string",
- "review_note": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}
]
}Post Direct Debit Run Cancellation
Authorizations:
path Parameters
| run_id required | string <uuid4> (Run Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request POST \ --url 'https://your-instance.example.invalid/opos/direct-debit-runs/string/cancel' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "direct_debit_run_id": "string",
- "execution_date": "2019-08-24",
- "prenotification_confirmed": true,
- "prenotification_confirmed_at": "2019-08-24T14:15:22Z",
- "prenotification_confirmed_by_actor_id": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "direct_debit_group_id": "string",
- "bank_account_id": "string",
- "mandate_type": "string",
- "sequence_type": "OOFF",
- "execution_date": "2019-08-24",
- "status": "draft",
- "external_payment_reference": "string",
- "last_error_code": "string",
- "items": [
- {
- "direct_debit_item_id": "string",
- "opos_invoice_state_id": "string",
- "invoice_id": "string",
- "invoice_prefix": "string",
- "invoice_no": 0,
- "customer_name": "string",
- "payment_id": "string",
- "mandate_reference": "string",
- "mandate_signed_on": "2019-08-24",
- "payer_name": "string",
- "payer_iban": "string",
- "payer_bic": "string",
- "amount": "string",
- "end_to_end_id": "string",
- "external_payment_reference": "string",
- "status": "reserved",
- "execution_status": "string",
- "last_error_code": "string",
- "review_note": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}
]
}
]
}